# The Mandate object

### The Mandate object

```json
{
  "id": "mandate_1MvojA2eZvKYlo2CvqTABjZs",
  "object": "mandate",
  "customer_acceptance": {
    "accepted_at": 123456789,
    "online": {
      "ip_address": "127.0.0.0",
      "user_agent": "device"
    },
    "type": "online"
  },
  "livemode": false,
  "multi_use": {},
  "payment_method": "pm_123456789",
  "payment_method_details": {
    "sepa_debit": {
      "reference": "123456789",
      "url": ""
    },
    "type": "sepa_debit"
  },
  "status": "active",
  "type": "multi_use"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- [`customer_acceptance`](https://docs.stripe.com/api/mandates/object.md?query=customer_acceptance) (object)
  Details about the customer’s acceptance of the mandate.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- [`multi_use`](https://docs.stripe.com/api/mandates/object.md?query=multi_use) (object, nullable)
  If this is a `multi_use` mandate, this hash contains details about the mandate.

- `on_behalf_of` (string, nullable)
  The account (if any) that the mandate is intended for.

- `payment_method` (string, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the payment method associated with this mandate.

- [`payment_method_details`](https://docs.stripe.com/api/mandates/object.md?query=payment_method_details) (object)
  Additional mandate information specific to the payment method type.

- [`single_use`](https://docs.stripe.com/api/mandates/object.md?query=single_use) (object, nullable)
  If this is a `single_use` mandate, this hash contains details about the mandate.

- `status` (enum)
  The mandate status indicates whether or not you can use it to initiate a payment.
Possible enum values:
  - `active`
    The mandate can be used to initiate a payment.

  - `inactive`
    The mandate was rejected, revoked, or previously used, and may not be used to initiate future payments.

  - `pending`
    The mandate is newly created and is not yet active or inactive.

- `type` (enum)
  The type of the mandate.
Possible enum values:
  - `multi_use`
    Represents permission given for multiple payments.

  - `single_use`
    Represents a one-time permission given for a single payment.
